Skip to content

Run an Face Attribute Analysis task.

Request

This endpoint initiates the face attribute analysis process. You must provide a source file (via URL or File ID) and specify which features to analyze. The task will be processed asynchronously, and you can check its status using the task_id returned in this response.

Security
BearerAuthenticationV2
Bodyapplication/jsonrequired
Any of:
face_angle_strictness_levelstring(BasicFaceAttrReqFaceAngleStrictnessLevel)

The strictness level of face angle detection (pitch, yaw, roll). A stricter level ensures more accurate face attribute results. Default is 'high'. optoins:

  • strict: pitch <= 4 degrees, yaw <= 6 degrees, roll <= 4 degrees
  • high: pitch, yaw, roll <= 10 degrees
  • medium: pitch, yaw, roll <= 15 degrees
  • low: pitch, yaw, roll <= 20 degrees
  • flexible: pitch, yaw, roll <= 30 degrees
Enum:"strict""high""medium""low""flexible"
Example:"high"
featuresArray of strings(BasicFaceAttrReqFeatures)required

AI Face Analysis categories

  • Face Analysis

    • FACE: faceShape
    • EYES: eyeShape eyeSize eyeAngle eyeDistance eyelid
    • BROWS: eyebrowShape eyebrowThickness eyebrowDistance eyebrowShortness
    • LIPS: lipShape
    • NOSE: noseWidth noseLength
    • CHEEKBONES: cheekbones
    • AGE & GENDER: age gender
    • COLORS: eyeColor hairColor eyebrowColor lipColor
  • Facial Ratios

    • horizontalThird
    • verticalFifth
    • faceAspectRatio
    • eyeAspectRatio
    • eyebrowPosition
    • eyebrowArch
    • eyeHeightToEyebrowDistance
    • noseAspectRatio
    • noseWidthToMouthWidth
    • noseToLipToChin
    • upperLipToLowerLip
Items Enum:"eyeShape""eyeSize""eyeAngle""eyeDistance""eyelid""eyebrowShape""eyebrowThickness""eyebrowDistance""eyebrowShortness""cheekbones"
src_file_urlstringrequired

Url of the file to run task. The url should be publicly accessible.

Example:"https://example.com/selfie.jpg"
POST
/s2s/v2.0/task/face-attr-analysis
curl -i -X POST \
  https://yce-api-01.makeupar.com/s2s/v2.0/task/face-attr-analysis \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "src_file_url": "https://example.com/selfie.jpg",
    "face_angle_strictness_level": "high",
    "features": [
      "eyeShape"
    ]
  }'

Responses

Successful execution of the task

Bodyapplication/json
statusinteger

Response status

Example:200
dataobject
Response
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }